Tietoja Xcode 7.1:n turvallisuussisällöstä

Tässä asiakirjassa kerrotaan Xcode 7.1:n turvallisuussisällöstä.

Suojellakseen asiakkaitaan Apple ei paljasta tietoturvaongelmia eikä anna niistä tietoja tai vahvista niitä, ennen kuin täydellinen tutkinta on tehty ja tarpeelliset korjauspäivitykset tai uudet versiot ovat saatavilla. Lisätietoja Applen tuoteturvallisuudesta on Applen tuoteturvallisuussivustolla.

Lisätietoja Applen tuoteturvallisuuden PGP-avaimesta on artikkelissa Applen tuoteturvallisuuden PGP-avaimen käyttäminen.

CVE ID -tunnuksia käytetään mahdollisuuksien mukaan viittaamaan lisätietoihin haavoittuvuuksista.

Tietoja muista suojauspäivityksistä on artikkelissa Applen suojauspäivitykset.

Xcode 7.1

  • Swift

    Saatavuus: OS X Yosemite 10.10.5 tai uudempi.

    Vaikutus: Tiettyjä tyyppimuunnoksia suorittavat Swift-ohjelmat saattoivat saada odottamattomia arvoja.

    Kuvaus: Tyyppimuunnosongelma saattoi aiheuttaa muunnoksia, jotka palauttivat odottamattomia arvoja. Ongelma on korjattu parannetulla tyypin tarkastuksella.

    CVE-ID

    CVE-2015-7030: nimetön tutkija

Muita kuin Applen valmistamia tuotteita sekä itsenäisiä verkkosivustoja (joita Apple ei hallitse tai joita se ei ole testannut) koskevat tiedot on tarkoitettu vain tiedoksi. Apple ei suosittele tai tue niitä. Apple ei vastaa muun valmistajan verkkosivustojen tai tuotteiden valikoimasta, suorituskyvystä tai käytöstä. Apple ei vastaa muun valmistajan verkkosivuston oikeellisuudesta tai luotettavuudesta. Internetin käyttöön liittyy riskejä. Pyydä lisätietoja valmistajalta. Muut yritysten ja tuotteiden nimet saattavat olla omistajiensa tavaramerkkejä.

Julkaisupäivämäärä: